package es.uv.saic.dto;

import es.uv.saic.domain.Rol;

public class RolDTO {
    private Integer idRol;
    private String descripcioCas;
    private String descripcioVal;

    public RolDTO() {
    }

    public RolDTO(Integer idRol, String descripcioCas, String descripcioVal) {
        this.idRol = idRol;
        this.descripcioCas = descripcioCas;
        this.descripcioVal = descripcioVal;
    }

    public RolDTO(Rol rol) {
        this.idRol = rol.getIdRol();
        this.descripcioCas = rol.getDescripcioCas();
        this.descripcioVal = rol.getDescripcioVal();
    }

    public Integer getIdRol() {
        return idRol;
    }

    public void setIdRol(Integer idRol) {
        this.idRol = idRol;
    }

    public String getDescripcioCas() {
        return descripcioCas;
    }

    public void setDescripcioCas(String descripcioCas) {
        this.descripcioCas = descripcioCas;
    }

    public String getDescripcioVal() {
        return descripcioVal;
    }

    public void setDescripcioVal(String descripcioVal) {
        this.descripcioVal = descripcioVal;
    }

}
